For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dashboard
User GuideDeveloper GuidesAPI Reference
User GuideDeveloper GuidesAPI Reference
    • Overview
  • Runtype API
      • GETList skills
      • POSTCreate a skill
      • POSTBind a skill to an agent
      • GETList an agent's skill bindings
      • DELUnbind a skill from an agent
      • POSTImport a SKILL.md
      • POSTPropose a skill (deployed-agent data plane)
      • GETGet a skill
      • PUTAppend a new skill version
      • DELDelete a skill
      • GETList a skill's versions
      • POSTPublish a skill version
Dashboard
LogoLogo
Runtype APISkills

Append a new skill version

PUT
/v1/skills/:id
PUT
/v1/skills/:id
$curl -X PUT https://api.runtype.com/v1/skills/id \
> -H "Authorization: <apiKey>" \
> -H "Content-Type: application/json" \
> -d '{}'
1{}
Append a new draft version to a skill from an updated manifest.
Was this page helpful?
Previous

Delete a skill

Next
Built with

Authentication

AuthorizationBearer
API key or Clerk session token

Path parameters

idstringRequired

Request

This endpoint expects a map from strings to any.

Response

New version

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
422
Unprocessable Entity Error